Subject: Re: tcp_v4_err/request sock refcnt leak?

From: Fan Du <[email-masked]>
Date: Tue, 24 Mar 2015 09:49:41 +0800

于 2015年03月23日 22:11, Eric Dumazet 写道:
>> I'm not familiar with this part, IMHO, this might be a double call for reqsk_put?
> It is yes.
>
> I got confused because reqsk_timer_handler()_has_  to call
> reqsk_put(req) after calling inet_csk_reqsk_queue_drop(), because
> the timer holds a reference on req.
>
> Would you like to send the official patch, mentioning :
>
> Fixes: fa76ce7328b2 ("inet: get rid of central tcp/dccp listener timer")

Looks like I've over slept last night.
Thanks Eric for cooking the patch 8)

-- 
天下英雄出我辈，一入江湖岁月催。
鸿图霸业谈笑间，不胜人生一场醉。